%define oname textutils

Name:           ocaml-%{oname}
Version:        0.13.0
Release:        %mkrel 2
Summary:        Text output utilities

Group:          Development/OCaml
License:        MIT
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
	
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-result-devel

BuildRequires:  ocaml-core-devel >= 0.13
BuildRequires:  ocaml-ppx_jane-devel >= 1:0.13

%description
Text output utilities

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*/*.cmt*
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.13.0-2.mga8
+ Revision: 1670869
- Rebuild to generate ocamlx provides

* Sat Feb 29 2020 pterjan <pterjan> 0.13.0-1.mga8
+ Revision: 1552445
- imported package ocaml-textutils

